DVDISASTER(1)

NAME
DVDISASTER - Schutz für CD/DVD Medien gegen Datenverlust durch Alterung oder Kratzer

SYNTAX
dvdisaster [-r|-c|-f|-s|-t[q]|-u] [-d device] [-p prefix] [-i image] [-e eccfile] [-o file|image] [-a codec-list] [-j n] [-n n%] [-m n] [-v] [-x n] [--adaptive-read] [--auto-suffix] [--cache-size n] [--dao] [--defective-dump d] [--driver d] [--eject] [--fill-unreadable n] [--ignore-fatal-sense] [--ignore-iso-size] [--internal-rereads n] [--old-ds-marker] [--prefetch-sectors n] [--raw-mode n] [--read-attempts n-m] [--read-medium n] [--read-raw] [--speed-warning n] [--spinup-delay n]

BESCHREIBUNG
DVDISASTER erzeugt einen Sicherheitspuffer gegen Datenverluste, die auf CD- und DVD-Datenträgern durch Alterung oder Kratzer entstehen. Es erzeugt Fehlerkorrekturdaten, um bei nachfolgenden Datenträger-Problemen unlesbare Sektoren zu rekonstruieren.

TYPISCHE ANWENDUNGEN

dvdisaster -d /dev/hdc -s
    Überprüft den Datenträger in Laufwerk /dev/hdc auf Fehler.

dvdisaster -d /dev/hdc -i abbild.iso -r
    Erstellt ein Abbild vom Datenträger in Laufwerk /dev/hdc als Datei abbild.iso.

dvdisaster -d /dev/hdc -i medium.iso --read-raw -r
    Erstellt ein Abbild wie oben beschrieben. Die Sektoren werden anhand ihrer EDC- und L-EC-Rohdaten auf Unversehrtheit überprüft. Dies ist nur für CD-Datenträger möglich; anderenfalls hat die --read-raw-Option keine Wirkung.

dvdisaster -d /dev/hdc -i medium.iso --read-attempts n-m -r
    Erstellt ein Abbild wie oben beschrieben. Für beschädigte Sektoren werden mindestens n und höchstens m Leseversuche unternommen. Die Lesbarkeit von beschädigten CD-Datenträgern kann in Verbindung mit --read-raw besser werden.

dvdisaster -d /dev/hdc -i abbild.iso -e korr.ecc -r --adaptive-read
    Verwendet die angepasste Lesestrategie, um ein Abbild vom Datenträger in Laufwerk /dev/hdc als Datei abbild.iso zu erstellen. Der Lesevorgang wird automatisch beendet sobald genügend Daten eingelesen wurden, um das Abbild mit Hilfe der Fehlerkorrektur-Datei korr.ecc wiederherzustellen:

dvdisaster -i abbild.iso -e korr.ecc -c
    Erzeugt eine Fehlerkorrektur-Datei korr.ecc für das Abbild abbild.iso.

dvdisaster -i abbild.iso -mRS02 -n 350000 -c
    Erweitert ein Abbild abbild.iso mit Fehlerkorrektur-Daten, wobei das Abbild auf nicht mehr als 350000 Sektoren vergrössert wird. Ohne Angabe von -n wird das Abbild auf die Grösse des kleinstmöglichen Datenträgers (CD, DVD, DVD9) erweitert. Beachten Sie das fehlende Leerzeichen zwischen -m und RS02.

dvdisaster -i abbild.iso -e korr.ecc -f
    Wiederherstellung der Abbild-Datei abbild.iso mit Hilfe der Fehlerkorrektur-Datei korr.ecc.

dvdisaster -i abbild.iso -e korr.ecc -t
    Überprüft den Inhalt des Abbilds abbild.iso mit Hilfe der Fehlerkorrektur-Datei korr.ecc auf Vollständigkeit und Korrektheit.

HINWEIS:
    Geben Sie in den obigen Beispielen die -e korr.ecc-Optionen nicht an, wenn Sie mit erweiterten Abbildern arbeiten.

OPTIONEN
Aktions-Auswahl (mindestens eine Aktion muss gewählt werden):

-r, --read
    Datenträger-Abbild auf Festplatte einlesen. -rn-m liest einen Bereich von Sektoren, z.B. -r100-200.

-c, --create
    Erzeugt Fehlerkorrektur-Daten für das Abbild.

-f, --fix
    Versucht das Abbild mit Hilfe der Fehlerkorrektur-Daten zu reparieren.

-s, --scan
    Untersucht den Datenträger auf Lesefehler.

-t, --test, -tq, -test=q
    Prüft die Struktur der .iso und .ecc - Dateien. Bei Angabe der "q"-Option werden nur die Informationen ausgegeben, die ohne vollständiges Lesen der Dateien ermittelt werden können.

-u, --unlink
    Löscht .iso - Dateien nach Beenden der vorherigen Aktionen.

Laufwerks- und Dateinamen:

-d, --device device
    Von diesem Laufwerk lesen (Standard: /dev/cdrom).

-p, --prefix prefix
    Anfang der .iso/.ecc - Dateien (Standard: medium.* ).

-i, --image imagefile
    Name der Abbild - Datei (Standard: medium.iso).

-e, --ecc eccfile
    Name der Fehlerkorrektur-Datei (Standard: medium.ecc).

-o, --ecc-target file|image
    Gibt an ob mit RS03 Fehlerkorrektur-Dateien oder erweiterte Abbilder erzeugt werden sollen (Standard: erweiterte Abbilder).

Feineinstellung (Beachten Sie die Hinweise in der Dokumentation!):

-a, --assume codec1,codec2,...
    Nimmt an daß das Abbild mit einem der angegebenen Kodierer erweitert wurde. Dies bewirkt eine erschöpfende Suche nach den Datenstrukturen der Kodierer und ist hilfreich, um in beschädigten Datenträgern enthaltene Fehlerkorrektur-Daten wiederzufinden. Wenn das Abbild allerdings keine der angegebenen Fehlerkorrektur-Daten enthält, verschwendet diese Option eine große Menge Rechenzeit und Ein-/Ausgabeoperationen.
    Mögliche Werte sind RS02 und RS03.

-j, --jump n
    überspringe n Sektoren nach einem Lesefehler (Standard: 16).

-n, --redundancy n[unit]
    Redundanz der Fehlerkorrektur-Daten. Die zulässigen Werte sind vom verwendeten Kodierer abhängig:
    RS01- und RS03-Fehlerkorrektur-Dateien:
        -n x erzeugt Fehlerkorrektur-Datei mit x Nullstellen.
        -n x% erzeugt Fehlerkorrektur-Datei mit x Prozent Redundanz.
        -n xm erzeugt Fehlerkorrektur-Datei mit ca. x MB Grüße.
        -n normal - optimierter Kodierer für 14.3% Redundanz/32 Nullstellen.
        -n high - optimierter Kodierer für 33.5% Redundanz/64 Nullstellen.
    RS02-Abbilder:
        -n CD erweitert Abbild auf CD-Größe.
        -n DVD erweitert Abbild auf DVD-Größe.
        -n DVD9 erweitert Abbild auf DVD9-Größe.
        -n BD erweitert Abbild auf BD-Größe.
        -n BD2 erweitert Abbild auf zweilagige BD-Größe.
        -n x erweitert Abbild auf ca. x Sektoren Länge.
        -n x% erweitert Abbild mit ca. x% Redundanz.
        -n xr erweitert Abbild mit x Nullstellen Fehlerkorrektur-Daten.

-m, --method n
    Fehlerkorrektur-Methoden anzeigen/auswählen (Standard: RS01).
    Mögliche Werte sind RS01 und RS02.

-v, --verbose n%
    mehr erläuternde Ausgaben

-x, --threads n
    Verwende n Kontrollfäden für den RS03-Kodierer/Dekodierer. Empfohlen sind 2 bzw. 4 Kontrollfäden für 2- bzw. 4-Kern-Prozessoren. Lassen Sie auf größeren Systemen einen Kontrollfaden für Verwaltungszwecke frei, d.h. benutzen Sie 7 Kontrollfäden auf einem 8-Kern-System.

--adaptive-read
    verwende optimierte Lesestrategie für defekte Datenträger.

--auto-suffix
    automatisches Anfügen der .iso- und .ecc-Dateiendungen.

--cache-size n
    Zwischenspeicher in MB bei .ecc-Datei-Erzeugung - (Standard: 32MB).

--dao
    unterstelle DAO; Abbild am Ende nicht kürzen.

--defective-dump d
    Gibt das Unterverzeichnis zum Sammeln von unvollständigen Roh-Sektoren an.

--driver d (nur für Linux)
    Wählt zwischen dem sg (SG_IO)-Treiber (voreingestellt) und dem älteren cdrom (CDROM_SEND_PACKET)-Treiber zum Zugriff auf die Laufwerke aus. Beide Treiber sollten gleich gut funktionieren; der cdrom-Treiber hat allerdings mit alten SCSI-Kontrollern Probleme. Bis einschließlich dvdisaster 0.72.x war der cdrom-Treiber allerdings die Voreinstellung; wenn sich jetzt etwas zum Schlechteren verändert hat wählen Sie bitte wieder mit --driver=cdrom den älteren Treiber aus.

--eject
    Datenträger nach erfolgreichem Lesen auswerfen.

--fill-unreadable n
    fülle unlesbare Sektoren mit Byte n.

--ignore-fatal-sense
    Lesen nach möglicherweise schwerwiegenden Fehlern fortsetzen.

--ignore-iso-size
    dvdisaster nutzt bevorzugt die Größeninformationen aus dem ISO/UDF-Dateisystem gegenüber einer Abfrage der Datenträgergröße von dem Laufwerk, da viele Laufwerke unzuverlässige Informationen liefern.
    In einigen seltenen Fällen stimmt die Information in den ISO/UDF-Dateisystemen allerdings nicht. Einige Linux-Live-CDs haben dieses Problem. Wenn Sie ein Abbild von diesen CDs lesen und seine MD5-Prüfsumme nicht mit der veröffentlichten Prüfsumme übereinstimmt, versuchen Sie das Abbild noch einmal zu lesen nachdem Sie diese Einstellung aktiviert haben.
    Schalten Sie diese Funktion nicht grundlos ein da sehr wahrscheinlich nicht optimale oder beschädigte ISO-Abbilder das Ergebnis sein werden, insbesondere wenn Sie vorhaben Fehlerkorrektur-Daten zu dem Abbild zu erzeugen.

--internal-rereads n
    Leseversuche innerhalb des Laufwerks für beschädigte CD-Sektoren (Standard: -1)
    Laufwerke unternehmen normalerweise mehrere Versuche um einen beschädigten Sektor zu lesen. Es ist typischerweise günstiger diesen Wert auf 0 oder 1 zu setzen und die Anzahl der Leseversuche über den Parameter --read-attempts zu steuern. Viele Laufwerke ignorieren diese Einstellung ohnehin. Benutzen Sie den Wert -1 um die Standardeinstellungen des Laufwerks zu verwenden.

--old-ds-marker
    Markiert fehlende Sektoren in einer Weise, die mit dvdisaster 0.70 oder noch früheren Versionen kompatibel ist.
    Das voreingestellte Markierungsverfahren ist ab dvdisaster 0.72 die bessere Wahl. Allerdings können Sie mit diesem Verfahren markierte Abbilder nicht mit früheren dvdisaster-Versionen verwenden, da diese keine fehlenden Sektoren in den Abbildern erkennen würden. Bearbeiten Sie ein Abbild nicht mit wechselnden Einstellungen für diese Option.

--prefetch-sectors n
    n Sektoren für die RS03-(De)kodierung im Voraus laden (Standard: 32)
    Ein Wert von n verbraucht ungefähr n MB Arbeitsspeicher.

--raw-mode n
    "Raw"-Lese-Verfahren für beschädigte CD-Sektoren (default: 20)
    Das empfohlene Verfahren ist 20, bei dem das Laufwerk die eingebaute Fehlerkorrektur so weit wie möglich anwendet, bevor es einen beschädigten Sektor zurückgibt. Einige Laufwerke können beschädigte Sektoren allerdings nur in der Betriebsart 21 lesen. Dabei wird die letzte Stufe der eingebauten Fehlerkorrektur nicht ausgeführt und der Sektor wird unkorrigiert zurückgegeben.

--read-attempts n-m
    versucht einen beschädigten Sektor n bis m-mal zu lesen.

--read-medium n
    liest den gesamten Datenträger bis zu n-mal.

--read-raw
    liest in der "raw"-Betriebsart sofern möglich.

--speed-warning n
    warnt bei Geschwindigkeitsänderung um mehr als n Prozent.

--spinup-delay n
    gibt dem Laufwerk n Sekunden Zeit zum Hochlaufen.

SIEHE AUCH
Dokumentation DVDISASTER ist in seinem eigenen Handbuch dokumentiert, welches in /usr/share/doc/dvdisaster-0.72.6/de installiert ist.

AUTHOR
DVDISASTER wurde von Carsten Gnoerlich <carsten@dvdisaster.com> geschrieben.

Diese Hilfeseite wurde von Daniel Baumann <daniel.baumann@panthera-systems.net> für das Debian Projekt geschrieben (kann aber auch von Anderen verwendet werden). Sie wird seit Version 0.70 von Carsten Gnörlich gepflegt.